# Uses of Interface
org.opensaml.saml.saml2.core.SessionIndex

Packages that use SessionIndex
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of SessionIndex in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type SessionIndex
Modifier and Type
Method
Description
`List<SessionIndex>`
LogoutRequest.`getSessionIndexes()`
Get the list of SessionIndexes for the request.

## Uses of SessionIndex in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement SessionIndex
Modifier and Type
Class
Description
`class`
`SessionIndexImpl`
Concrete implementation of `SessionIndex`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type SessionIndex
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<SessionIndex>`
LogoutRequestImpl.`sessionIndexes`
SessionIndex child elements.
Methods in org.opensaml.saml.saml2.core.impl that return SessionIndex
Modifier and Type
Method
Description
`SessionIndex`
SessionIndexBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SessionIndex`
SessionIndexBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type SessionIndex
Modifier and Type
Method
Description
`List<SessionIndex>`
LogoutRequestImpl.`getSessionIndexes()`
Get the list of SessionIndexes for the request.